import { createRouter, createWebHistory } from 'vue-router'
import MainScreen from '../views/MainScreen.vue'
import RegistrationForm from '../views/RegistrationForm.vue'
import SignIn from '../views/SignIn.vue'
import Selection from '../views/Selection.vue'
import Collections from '../views/Collections.vue'
import Profile from '../views/Profile.vue'
import CollectionCreate from '../views/CollectionCreate.vue'
const routes = [
  { path: '/main', component: MainScreen },
  { path: '/selection', component: Selection },
  { path: '/collections', component: Collections },
  { path: '/profile', component: Profile, props: route => ({ userName: route.query.userName, userEmail: route.query.userEmail }) },
  {
    path: '/',
    redirect: '/register'
  },
  {
    path: '/register',
    name: 'Registration',
    component: RegistrationForm
  },
  {
    path: '/mainscreen',
    name: 'MainScreen',
    component: MainScreen
  },
  {
    path: '/signin',
    name: 'SignIn',
    component: SignIn
  },
  {
    path: '/selection',
    name: 'Selection',
    component: Selection
  },
  {
    path: '/collections',
    name: 'Collections',
    component: Collections
  },
  {
    path: '/profile',
    name: 'Profile',
    component: Profile,
    props: route => ({ userName: route.query.userName, userEmail: route.query.userEmail })
  },
  {
    path: '/collections/create',
    name: 'CollectionCreate',
    component: CollectionCreate
  },
  {
      path: '/selection',
    name: 'Selection',
    component: Selection
  }

]

const router = createRouter({
  history: createWebHistory(),
  routes
})

export default router
