import axios from 'axios'

const API_URL = 'https://cinema.kolei.ru'

const api = axios.create({
  baseURL: API_URL,
  headers: {
    'Content-Type': 'application/json',
    'Accept': 'application/json',
    'Access-Control-Allow-Origin': '*'
  },
  withCredentials: true
})


api.interceptors.request.use(config => {
  config.headers['Access-Control-Allow-Origin'] = '*'
  return config
})

export const authAPI = {
  async register(userData) {
    const response = await api.post('/auth/register', userData)
    return response.data
  },

  async login(credentials) {
    const response = await api.post('/auth/login', credentials)
    return response.data
  }
}

export default api
