import { createStore } from 'vuex'
import createPersistedState from 'vuex-persistedstate'

export default createStore({
  state: {
    users: [],
    currentUser: null
  },
  mutations: {
    addUser(state, user) {
      state.users.push(user)
    },
    setCurrentUser(state, user) {
      state.currentUser = user
    },
    logout(state) {
      state.currentUser = null
    }
  },
  actions: {
    registerUser({ commit }, user) {
      // В реальном приложении здесь был бы API запрос
      commit('addUser', user)
    },
    loginUser({ commit, state }, credentials) {
      const user = state.users.find(
        u => u.email === credentials.email && u.password === credentials.password
      )
      if (user) {
        commit('setCurrentUser', user)
        return true
      }
      return false
    },
    logoutUser({ commit }) {
      commit('logout')
    }
  },
  getters: {
    isAuthenticated: state => !!state.currentUser,
    currentUser: state => state.currentUser
  },
  plugins: [createPersistedState()]
}) 